<%- include('../partials/header') %>
<%- include('../partials/scripts') %>
<%- include('../partials/select2') %>
</head>

<body class="min-vh-100 d-flex flex-column">
	<%- include('../partials/navbar') %>
	<div class="main-content d-flex flex-column flex-grow-1">
		<%- include('../partials/topbar') %>
		<%- include('./header', { active: 'edit' }) %>
		<!-- Page content -->
		<div class="container-fluid mt--7 flex-grow-1">
			<div class="row">
				<div class="col-xl-12">
					<div class="card">
						<div class="card-header">
							<div class="row align-items-center">
								<div class="col-12">
									<h3 class="mb-0">Editace týmu</h3>
								</div>
							</div>
						</div>
						<div class="card-body bg-secondary">
							<form action="./" method="POST" id="edit-team">
								<div class="pl-lg-4">
									<div class="row">
										<div class="col-4">
											<div class="form-group">
												<label class="form-control-label" for="name">Název</label>
												<input type="text" id="name" class="form-control" required
													placeholder="Vyplňte prosím toto povinné pole"
													value="<%= team.name %>">
											</div>
										</div>
										<div class="col-4">
											<div class="form-group">
												<label class="form-control-label" for="basket">Koš</label>
												<input type="text" id="basket" class="form-control" required
													placeholder="Vyplňte prosím toto povinné pole" value="<%= team.basket %>">
											</div>
										</div>
										<div class="col-4">
											<div class="form-group">
												<label class="form-control-label" for="pourer">Narážka</label>
												<input type="text" id="pourer" class="form-control" required
													placeholder="Vyplňte prosím toto povinné pole" value="<%= team.pourer %>">
											</div>
										</div>
									</div>
									<div class="row">
										<div class='col-12'>
											<div class='form-group'>
												<label for='select-category'>Kategorie</label>
												<select class='form-control' id='select-category'></select>
											</div>
										</div>
									</div>
								</div>
								<div class="pl-lg-4">
									<div class="row">
										<div class="col" id="edit-team-status" style="display: none;"></div>
										<div class="col-4 text-left">
											<button type="submit" class="btn btn-primary"
												id="edit-team-button">Editovat</button>
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<%- include('../partials/footer') %>
		</div>
	</div>
	<%- include('../partials/scripts-file-end') %>
	<script>
		$(document).ready(() => {
			let $selectCategory = $('select#select-category').select2({
				minimumResultsForSearch: -1
			})
			$selectCategory.html(`<option selected="selected" value>Načítání...</option>`)
			$selectCategory.prop("disabled", true);
			API.category.list().done((listOfCategories) => {
				$selectCategory.html(`<option selected="selected" value disabled="disabled">Vyber kategorii</option>`)
				listOfCategories.forEach((category) => {
					$selectCategory.append(`<option value="${category._id}">${category.name}</option>`)
				})
				$selectCategory.val('<%= team.category._id %>') // Select the option with a value of '1'
				$selectCategory.trigger('change'); // Notify any JS components that the value changed
				$selectCategory.prop("disabled", false);
			})
			$('form#edit-team').submit(function (event) {
				event.preventDefault()
				let $status = $('div#edit-team-status')
				$status
					.empty()
					.append(
						$('<div>', { class: 'alert alert-default alert-dismissible fade show', role: 'alert' }).append(
							$('<span>', { class: 'alert-icon' }).append(
								$('<i>', { class: 'fas fa-circle-notch fa-spin' })
							),
							$('<span>', { class: 'alert-text' }).append(
								'Zpracovávám'
							),
							$('<button>', { type: 'button', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'Close' }).append(
								$('<span>', { 'aria-hidden': 'true' }).html('&times;')
							)
						)
					)
					.show()

				API.team
					.edit(
						'<%= team._id %>',
						{
							name: $('#name').val(),
							basket: $('#basket').val(),
							pourer: $('#pourer').val(),
							category: $selectCategory.val()
						}
					).done(function (responseFromServer) {
						if (responseFromServer === 'ok') {
							$status
								.empty()
								.append(
									$('<div>', { class: 'alert alert-success alert-dismissible' }).append(
										$('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
										$('<strong>').text('Gratuluji!'),
										' Úspěšně jste upravil(a) tým'
									)
								)
								.show()

							// Refresh
							setTimeout(function () {
								window.location.href = window.location.href;
							}, 3500)
						} else {
							$status
								.empty()
								.append(
									$('<div>', { class: 'alert alert-danger alert-dismissible' }).append(
										$('<a>', { href: '#', class: 'close', 'data-dismiss': 'alert', 'aria-label': 'close' }).html('&times;'),
										$('<strong>').text('Ach ne! '),
										responseFromServer
									)
								)
								.show()
						}
					})
			})
		})
	</script>
	<%- include('../partials/file-end') %>
